api_documentation: http://ros.org/doc/electric/api/angles/html
authors: John Hsu, Ioan Sucan
brief: Simple Angular Math Utilities
bugtracker: ''
depends: ''
depends_on:
- planning_models
- reem_kinematics_constraint_aware
- pr2_mechanism_controllers
- art_map
- pr2_mechanism_diagnostics
- joint_normalization_filters
- player_log_actarray
- planning_environment
- stereo_wall_detection
- rotate_recovery
- pr2_manipulation_controllers
- gazebo_tools
- collada_urdf
- collision_proximity_planner
- bumper_gazebo_plugin
- turtle_actionlib
- joint_group_position_controller
- art_servo
- dwa_local_planner
- nao_remote
- laser_geometry
- sbpl_cart_planner
- velodyne_height_map
- art_nav
- gazebo_plugins
- pr2_calibration_controllers
- sick_lms400
- tf
- footstep_planner
- spline_smoother
- base_local_planner
- image_algos
- joint_trajectory_generator
- range_gazebo_plugin
- robot_mechanism_controllers
- sr_mechanism_controllers
- pr2_arm_kinematics
- geodesy
- pr2_mechanism_model
- fake_localization
- pr2_gazebo_plugins
- carrot_planner
- art_pilot
- chomp_motion_planner
- simulator_art
- halfsteps_pattern_generator
- control_toolbox
- walk_msgs
- art_common
- sr_gazebo_plugins
- applanix
description: "\n      This package provides a set of simple math utilities to work\n\
  \        with angles. The utilities cover simple things like\n        normalizing\
  \ an angle and conversion between degrees and\n        radians. But even if you're\
  \ trying to calculate things like\n        the shortest angular distance between\
  \ two joinst space\n        positions of your robot, but the joint motion is constrained\n\
  \        by joint limits, this package is what you need. The code in\n        this\
  \ packge is stable and well tested. There are no plans for\n        major changes\
  \ in the near future.\n  "
doc_job: doc-electric-geometry
license: BSD
maintainers: ''
metapackages:
- geometry
msgs: []
package_type: package
repo_name: geometry
repo_url: ''
srvs: []
timestamp: 1362484697.0236361
url: http://ros.org/wiki/angles
vcs: hg
vcs_uri: https://kforge.ros.org/geometry/geometry
vcs_version: electric-devel
